package m05bRevisionEJB;

/**
 * Date: Apr 22, 2004
 * Time: 3:03:05 PM
 */
import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bRevision;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05RevisionEB</tt>.
 *
 * @see     m05.exe.Revision
 * @see     m05.exe.M05RevisionEBHome
 * @see     m05.exe.M05RevisionEBPK
 * @see     m05.exe.M05RevisionEBBean
*/
public interface m05Revision extends EJBObject{

  public String getRevi_fecha()throws RemoteException;
  public void setRevi_fecha(String n)throws RemoteException;

  public String getRevi_fecprox()throws RemoteException;
  public void setRevi_fecprox(String n)throws RemoteException;

  public String getRevi_matricula()throws RemoteException;
  public void setRevi_matricula(String n)throws RemoteException;

  public String getRevi_importe()throws RemoteException;
  public void setRevi_importe(String n)throws RemoteException;

  public String getRevi_orden()throws RemoteException;
  public void setRevi_orden(String n)throws RemoteException;

  public String getRevi_cod()throws RemoteException;
  public void setRevi_cod(String n)throws RemoteException;

  public String getRevi_descrip()throws RemoteException;
  public void setRevi_descrip(String n)throws RemoteException;

  public String getRevi_realiza()throws RemoteException;
  public void setRevi_realiza(String n)throws RemoteException;

  public String getRevi_kmpre()throws RemoteException;
  public void setRevi_kmpre(String n)throws RemoteException;

  public String getRevi_kmre()throws RemoteException;
  public void setRevi_kmre(String n)throws RemoteException;

  /**
   * Returns the Revisiones information of this E-EJB.
   */
  public m05bRevision getRevision()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *              If the given Revisiones <tt>revi_cod</tt> field
   *              does not match the primary key that is in the E-EJB.
   */

}
